<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>tubafashe-api documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">tubafashe-api documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>AppModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="681pt" height="211pt"
 viewBox="0.00 0.00 681.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 677,-207 677,4 -4,4"/>
<text text-anchor="start" x="315.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="102.5,-10 102.5,-30 122.5,-30 122.5,-10 102.5,-10"/>
<text text-anchor="start" x="126.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="215.5,-10 215.5,-30 235.5,-30 235.5,-10 215.5,-10"/>
<text text-anchor="start" x="239.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="301.5,-10 301.5,-30 321.5,-30 321.5,-10 301.5,-10"/>
<text text-anchor="start" x="325.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="398.5,-10 398.5,-30 418.5,-30 418.5,-10 398.5,-10"/>
<text text-anchor="start" x="422.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="494.5,-10 494.5,-30 514.5,-30 514.5,-10 494.5,-10"/>
<text text-anchor="start" x="518.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 665,-195 665,-70 8,-70"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 657,-130 657,-78 16,-78"/>
</g>
<!-- CampaignModule -->
<g id="node1" class="node">
<title>CampaignModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="648.5968,-122 645.5968,-126 624.5968,-126 621.5968,-122 531.4032,-122 531.4032,-86 648.5968,-86 648.5968,-122"/>
<text text-anchor="middle" x="590" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CampaignModule</text>
</g>
<!-- AppModule -->
<g id="node6" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="370.6571,-187 367.6571,-191 346.6571,-191 343.6571,-187 287.3429,-187 287.3429,-151 370.6571,-151 370.6571,-187"/>
<text text-anchor="middle" x="329" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppModule</text>
</g>
<!-- CampaignModule&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>CampaignModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M590,-122.2843C590,-143.3211 590,-175 590,-175 590,-175 380.9342,-175 380.9342,-175"/>
<polygon fill="#000000" stroke="#000000" points="380.9342,-171.5001 370.9342,-175 380.9341,-178.5001 380.9342,-171.5001"/>
</g>
<!-- CommonModule -->
<g id="node2" class="node">
<title>CommonModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="513.6681,-122 510.6681,-126 489.6681,-126 486.6681,-122 402.3319,-122 402.3319,-86 513.6681,-86 513.6681,-122"/>
<text text-anchor="middle" x="458" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">CommonModule</text>
</g>
<!-- CommonModule&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>CommonModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M458,-122.0225C458,-139.3734 458,-163 458,-163 458,-163 380.8826,-163 380.8826,-163"/>
<polygon fill="#000000" stroke="#000000" points="380.8826,-159.5001 370.8826,-163 380.8826,-166.5001 380.8826,-159.5001"/>
</g>
<!-- DatabaseModule -->
<g id="node3" class="node">
<title>DatabaseModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="384.3501,-122 381.3501,-126 360.3501,-126 357.3501,-122 273.6499,-122 273.6499,-86 384.3501,-86 384.3501,-122"/>
<text text-anchor="middle" x="329" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DatabaseModule</text>
</g>
<!-- DatabaseModule&#45;&gt;AppModule -->
<g id="edge3" class="edge">
<title>DatabaseModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M329,-122.1061C329,-122.1061 329,-140.991 329,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="325.5001,-140.9909 329,-150.991 332.5001,-140.991 325.5001,-140.9909"/>
</g>
<!-- DonatorModule -->
<g id="node4" class="node">
<title>DonatorModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="255.923,-122 252.923,-126 231.923,-126 228.923,-122 150.077,-122 150.077,-86 255.923,-86 255.923,-122"/>
<text text-anchor="middle" x="203" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DonatorModule</text>
</g>
<!-- DonatorModule&#45;&gt;AppModule -->
<g id="edge4" class="edge">
<title>DonatorModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M203,-122.0225C203,-139.3734 203,-163 203,-163 203,-163 277.0438,-163 277.0438,-163"/>
<polygon fill="#000000" stroke="#000000" points="277.0439,-166.5001 287.0438,-163 277.0438,-159.5001 277.0439,-166.5001"/>
</g>
<!-- PaymentModule -->
<g id="node5" class="node">
<title>PaymentModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="132.0438,-122 129.0438,-126 108.0438,-126 105.0438,-122 23.9562,-122 23.9562,-86 132.0438,-86 132.0438,-122"/>
<text text-anchor="middle" x="78" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">PaymentModule</text>
</g>
<!-- PaymentModule&#45;&gt;AppModule -->
<g id="edge5" class="edge">
<title>PaymentModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M78,-122.2843C78,-143.3211 78,-175 78,-175 78,-175 277.2707,-175 277.2707,-175"/>
<polygon fill="#000000" stroke="#000000" points="277.2707,-178.5001 287.2707,-175 277.2707,-171.5001 277.2707,-178.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/CampaignModule.html">CampaignModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/CommonModule.html">CommonModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/DatabaseModule.html">DatabaseModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/DonatorModule.html">DonatorModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/PaymentModule.html">PaymentModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="configure"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Public</span>
                            configure
                        </b>
                        <a href="#configure"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>configure(consumer: MiddlewareConsumer)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="27"
                            class="link-to-prism">src/app.module.ts:27</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Type</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>consumer</td>
                                    <td>
                                            <code>MiddlewareConsumer</code>
                                    </td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { MiddlewareConsumer, Module, RequestMethod } from &#x27;@nestjs/common&#x27;;
import { DonatorModule } from &#x27;./donator/donator.module&#x27;;
import { CampaignModule } from &#x27;./campaign/campaign.module&#x27;;
import { PaymentModule } from &#x27;./payment/payment.module&#x27;;
import { AuthenticationMiddleware } from &#x27;./common/authentication.middleware&#x27;;
import { CommonModule } from &#x27;./common/common.module&#x27;;
import { DatabaseModule } from &#x27;./database/database.module&#x27;;
import { APP_FILTER } from &#x27;@nestjs/core&#x27;;
import { HttpExceptionFilter } from &#x27;./common/exception/http-exception.filter&#x27;;

@Module({
  providers: [
    {
      provide: APP_FILTER,
      useClass: HttpExceptionFilter,
    },
  ],
  imports: [
    CommonModule,
    DatabaseModule,
    DonatorModule,
    CampaignModule,
    PaymentModule,
  ],
})
export class AppModule {
  public configure(consumer: MiddlewareConsumer) {
    consumer
    .apply(AuthenticationMiddleware)
    .forRoutes(
      { path: &#x27;/api/donators&#x27;, method: RequestMethod.POST },
      { path: &#x27;/api/campaigns&#x27;, method: RequestMethod.POST },
      { path: &#x27;/api/payments&#x27;, method: RequestMethod.POST },
    );
  }
}
</code></pre>
    </div>
</div>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'AppModule.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
